API
Telegram API
The AI-powered Telegram provides 360° Global Media Data & Intelligence on Telegram channel operators, community managers, news distributors, and messaging platform teams.
Справочник API Версия: 1.0.0 2 Точки доступа Аутентификация
Базовый URL
https://pressmonitor.com/api Аутентификация
Все запросы требуют заголовков x-api-key и x-subscription-id. x-api-key аутентифицирует вашу учетную запись; x-subscription-id выбирает подписанный сервис.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/telegram_channel Telegram Chaîne
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| channel | string | query | Да | Channel name |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/telegram_channel?channel=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/telegram_messages Telegram Messages
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| channel | string | query | Да | Channel name |
| limit | integer | query | Нет | Number of results |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/telegram_messages?channel=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
